Update a participant's race day fields
curl --request PATCH \
--url https://api.letsdothis.com/v0/participants/{id}/raceday \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.letsdothis.com/v0/participants/{id}/raceday', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/participants/{id}/raceday"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Participant raceday fields updated successfully"
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Participants
Update a participant's race day fields
Updates a participant’s bib number and race day custom fields. Note: Updates are processed asynchronously and may take a few moments to reflect in participant data.
PATCH
/
v0
/
participants
/
{id}
/
raceday
Update a participant's race day fields
curl --request PATCH \
--url https://api.letsdothis.com/v0/participants/{id}/raceday \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.letsdothis.com/v0/participants/{id}/raceday', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/participants/{id}/raceday"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Participant raceday fields updated successfully"
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource to query by
Body
application/json
Request to update a participant's raceday fields.
The bib number to assign to the participant. Set to null to unset the bib number. Optional to allow custom-fields-only updates.
Example:
"A1234"
Custom race day fields to update. Each field must specify an id to identify the field.
Show child attributes
Show child attributes
Example:
[
{
"id": "field_123",
"text": { "value": "New value" }
},
{
"id": "field_456",
"text": { "value": null }
}
]
Was this page helpful?

